weka.core.stemmers

## Class NullStemmer

- java.lang.Object
- - weka.core.stemmers.NullStemmer

- All Implemented Interfaces:
    java.io.Serializable, RevisionHandler, Stemmer

      public class NullStemmer
      extends java.lang.Object
      implements Stemmer

  A dummy stemmer that performs no stemming at all.

  Version:
    $Revision: 8034 $
  Author:
    FracPete (fracpete at waikato dot ac dot nz)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NullStemmer()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getRevision()` Returns the revision string.
    `java.lang.String` | `globalInfo()` Returns a string describing the stemmer
    `static void` | `main(java.lang.String[] args)` Runs the stemmer with the given options
    `java.lang.String` | `stem(java.lang.String word)` Returns the word as it is.
    `java.lang.String` | `toString()` returns a string representation of the stemmer

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NullStemmer

          public NullStemmer()

  - ### Method Detail

    - #### globalInfo

          public java.lang.String globalInfo()

      Returns a string describing the stemmer
      Returns:
        a description suitable for displaying in the explorer/experimenter gui

    - #### stem

          public java.lang.String stem(java.lang.String word)

      Returns the word as it is.
      Specified by:
        `stem` in interface `Stemmer`
      Parameters:
        `word` - the unstemmed word
      Returns:
        the unstemmed word, again

    - #### toString

          public java.lang.String toString()

      returns a string representation of the stemmer
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        a string representation of the stemmer

    - #### getRevision

          public java.lang.String getRevision()

      Returns the revision string.
      Specified by:
        `getRevision` in interface `RevisionHandler`
      Returns:
        the revision

    - #### main

          public static void main(java.lang.String[] args)

      Runs the stemmer with the given options
      Parameters:
        `args` - the options